Subject: Re: 23.0.60; Elisp manual node Special Properties

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 07 Jul 2011 22:39:11 +0200

"Drew Adams" <[email-masked]> writes:

>
>  In the simplest case, the value is a face name.  It can also be a
>  list; then each element can be any of these possibilities;
>
>     * A face name (a symbol or string).
>
>     * A property list of face attributes.  This has the form
>       (KEYWORD VALUE ...), where each KEYWORD is a face attribute
>       name and VALUE is a meaningful value for that attribute.
>       With this feature, you do not need to create a face each time
>       you want to specify a particular attribute for certain text.
>       *Note Face Attributes::.
>
>     * A cons cell with the form `(foreground-color . COLOR-NAME)'
>       or `(background-color . COLOR-NAME)'.  These are older,
>       deprecated equivalents for `(:foreground COLOR-NAME)' and
>       `(:background COLOR-NAME)'.  Please convert code that uses
>       them.
>
>  It works to use the latter two forms directly as the value of the
>  `face' property.
>
> The "latter two forms" in the last sentence seems to refer to the last
> two bullets. Is that right? And the first sentence above seems to
> refer to the first bullet, no?

Yes, that's not very clear.

The documentation has changed in the mean time -- the third item has
been dropped.  But it still remained less clear than it could have been,
so I've rewritten it slightly now.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/